/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#ifndef __AIDGE_NODEREGEX_H__
#define __AIDGE_NODEREGEX_H__
#include <cstdlib>
#include <iostream>
#include <cstring>
#include "graph/Node.hpp"


namespace Aidge {

class NodeRegex
{
    public:
    std::string mCondition;

    NodeRegex(const std::string c){
        mCondition = c;
    };
    
    // Version 1 - Only test the type of the node (no need for a lexer)
    // Input : Node_op
    // Output : bool
    // return mCondition == Node_op.type
    bool _is(std::shared_ptr<Node> &Node_op);
    bool isA(std::string NodeType);
};

}

#endif /* ___AIDGE_NODEREGEX_H___ */