
/**
 * @file
 * @brief
 * @version file 1.0.0
 * @author vl241552
 * @copyright
 *  Copyright (c) 2023 CEA, LIST, Embedded Artificial Intelligence Laboratory.
 * All rights reserved.
 */

#ifndef _utile_H_
#define _utile_H_

#include <map>

#include "graph/Node.hpp"
#include <map>

namespace Aidge {

using NodeTmp = std::shared_ptr<Node>;
using NodeType = std::string;
using CommonTag = std::string;
using NodeTypeKey = std::pair<NodeType, CommonTag>;

// type def
// struct NodeTypeKey {
//     NodeType nodeType;
//     std::string commonTag;

//     // for map find
//     bool operator<(const NodeTypeKey& other) const {
//         if (nodeType != other.nodeType or commonTag != other.commonTag) {
//             return false;
//         } else {
//             return true;
//         }
//     }

// };

struct ParsingReturn {
  std::map<NodeTypeKey, int> typeToIdxTransition;
  std::vector<std::pair<NodeTypeKey, std::string>> transition;
};

} // namespace Aidge

#endif //_utile_H_