/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include "graph/OpArgs.hpp"
#include "graph/Node.hpp"
#include "graph/GraphView.hpp"
#include <pybind11/stl.h>
#include <pybind11/complex.h>
#include <pybind11/functional.h>
#include <pybind11/chrono.h>


namespace py = pybind11;
namespace Aidge {
void init_OpArgs(py::module& m){
    py::class_<OpArgs, std::shared_ptr<OpArgs>>(m, "OpArgs")
    .def("node", &OpArgs::node)
    .def("view", &OpArgs::view)
    ;

    py::implicitly_convertible<Node, OpArgs>();
    py::implicitly_convertible<GraphView, OpArgs>();

    m.def("sequential", &Sequential, py::arg("inputs"));
    m.def("parallel", &Parallel, py::arg("inputs"));
    m.def("residual", &Residual, py::arg("inputs"));

}
}
