/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include "graph/GraphView.hpp"
#include "graphmatching/GRegex.hpp"

namespace py = pybind11;
namespace Aidge {
void init_GRegex(py::module& m){
    py::class_<GRegex, std::shared_ptr<GRegex>>(m, "GRegex")
    .def(py::init<const std::map<std::string,NodeRegex*>&, std::vector<std::string>&>(), py::arg("nodesRegex"), py::arg("seqRegexps"))
    .def("match", &GRegex::match, py::arg("graphToMatch"))
    ;
}
}
