/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include "graphmatching/Match.hpp"

namespace py = pybind11;
namespace Aidge {
void init_Match(py::module& m){
    py::class_<Match, std::shared_ptr<Match>>(m, "Match")
    .def(py::init<>())
    .def("get_nb_match", &Match::getNbMatch)
    .def("get_start_nodes", &Match::getStartNodes)
    .def("get_match_nodes", &Match::getMatchNodes);
}
}
