/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>

#include "operator/FC.hpp"
#include "utils/Parameter.hpp"
#include "backend/OperatorImpl.hpp"
#include "operator/Operator.hpp"
#include "utils/Types.h"

namespace py = pybind11;
namespace Aidge {

void declare_FC(py::module &m) {
  py::class_<FC_Op, std::shared_ptr<FC_Op>, Operator>(m, "FC_Op", py::multiple_inheritance());

  m.def("FC", &FC, py::arg("out_channels"), py::arg("nobias") = false, py::arg("name") = nullptr);
}

void init_FC(py::module &m) {
  declare_FC(m);
}
} // namespace Aidge
