/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>

#include "operator/Matmul.hpp"
#include "utils/Parameter.hpp"
#include "backend/OperatorImpl.hpp"
#include "operator/Operator.hpp"
#include "utils/Types.h"

namespace py = pybind11;
namespace Aidge {

void declare_Matmul(py::module &m) {
  py::class_<Matmul_Op, std::shared_ptr<Matmul_Op>, Operator>(m, "Matmul_Op", py::multiple_inheritance());

  m.def("Matmul", &Matmul, py::arg("out_channels"), py::arg("name") = nullptr);
}

void init_Matmul(py::module &m) {
  declare_Matmul(m);
}
} // namespace Aidge
