/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include "backend/OperatorImpl.hpp"
#include "operator/Operator.hpp"
#include <pybind11/stl.h>

namespace py = pybind11;
namespace Aidge {
void init_Operator(py::module& m){
    py::class_<Operator, std::shared_ptr<Operator>>(m, "Operator")
    .def("get_output", &Operator::getOutput, py::arg("outputIdx"))
    .def("get_input", &Operator::getInput, py::arg("inputIdx"))
    .def("set_input", &Operator::setInput, py::arg("inputIdx"), py::arg("data"))
    .def("set_datatype", &Operator::setDatatype, py::arg("datatype"))
    .def("set_backend", &Operator::setBackend, py::arg("name"))
    ;
}
}
