/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include "graphmatching/Match.hpp"

using namespace Aidge; 

Match::Match(){
    //ctr
}

size_t Match::getNbMatch(){
    assert(mStartNodes.size() == mMatchNodes.size() && "Match corrupted");
    return mStartNodes.size();
}

void Match::insert(std::vector<NodeTmp> startnodes, std::set<NodeTmp> matchnodes){
    assert(mStartNodes.size() == mMatchNodes.size() && "Match corrupted");
    mStartNodes.push_back(startnodes);
    mMatchNodes.push_back(matchnodes);
}

std::vector<std::vector<NodeTmp>> Match::getStartNodes(){
    return mStartNodes;
}

std::vector<std::set<NodeTmp>> Match::getMatchNodes(){
    return mMatchNodes;
}