
#include <catch2/catch_test_macros.hpp>
#include "nodeTester/ConditionalInterpreter.hpp"
#include "operator/GenericOperator.hpp"


using namespace Aidge;



TEST_CASE("ConditionalInterpreter", "ConditionalInterpreter") {

    SECTION("custom Lambda") {

        const std::string test = " !toto($) == true " ;
        ConditionalInterpreter conditionalParser = ConditionalInterpreter(test);
        conditionalParser.insertLambda("toto",+[](NodePtr NodeOp){return false;});
        std::shared_ptr<Node> nodeOp = GenericOperator("conv", 0, 0, 0, "Gop1");

        bool result = conditionalParser.test(nodeOp);
        REQUIRE(result == true);
    }

    SECTION("syntax error") {

        const std::string test = "'A' == 'A' ,&& ";
        REQUIRE_THROWS_AS( ConditionalInterpreter(test), std::runtime_error);
  
    }
}